#!/usr/bin/python3
# Beispiel Ausleseen ADC-Werte Arduino. Die Daten werden ueber die serielle
# Schnittstelle durch das Arduinoprogramm "ArdSendByReqAdc" bereit gestellt.
# S. Mack, 2.4.18

import serial
from time import sleep

# Messwerte auslesen bis strg + c gedrueckt wird
print('Info: Abbruch mit strg + c')

try:
    port = serial.Serial('COM22', 115200)
    print('Arduino sagt: ', port.readline()) # Testen ob Arduino bereit
    while True:
        port.flushInput() # Seriellen Puffer leeren
        port.write(b'\n') # ADC-Messung anfordern
        sleep(1)
        result = port.readline() # Von Schnittstelle bis \n lesen
        print(int(result)) # Umwandlung in Int ausgeben
except KeyboardInterrupt:
    print('Programm mit strg + c abgebrochen')  
finally:
    port.close() # Serielle Schnittstelle schliessen.
    print('Schnittstelle geschlossen')
